<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA_DestConfig_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">HWA_DestConfig_t Struct Reference<div class="ingroups"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">HWA Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>HWA Paramset Config for Output Formatter/Destination block.  
 <a href="struct_h_w_a___dest_config__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/hwa/hwa.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ae570b0676b73b1d32fb037615b0b9605"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#ae570b0676b73b1d32fb037615b0b9605">dstAddr</a></td></tr>
<tr class="separator:ae570b0676b73b1d32fb037615b0b9605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7105752a58f26f72934852e99f7e19f5"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#a7105752a58f26f72934852e99f7e19f5">dstAcnt</a></td></tr>
<tr class="separator:a7105752a58f26f72934852e99f7e19f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a658e4e61b988c9ce821d1e6b1da31670"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#a658e4e61b988c9ce821d1e6b1da31670">dstAIdx</a></td></tr>
<tr class="separator:a658e4e61b988c9ce821d1e6b1da31670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac286596c10ccf5712c785734c54b68dd"><td class="memItemLeft" align="right" valign="top">int16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#ac286596c10ccf5712c785734c54b68dd">dstBIdx</a></td></tr>
<tr class="separator:ac286596c10ccf5712c785734c54b68dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d17910d6541c88cb584c22941a9a037"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#a1d17910d6541c88cb584c22941a9a037">dstRealComplex</a></td></tr>
<tr class="separator:a1d17910d6541c88cb584c22941a9a037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa24c6458af07c443ca0475afcdbb4823"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#aa24c6458af07c443ca0475afcdbb4823">dstWidth</a></td></tr>
<tr class="separator:aa24c6458af07c443ca0475afcdbb4823"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21acfbf49bfe286e4a30291a152526cb"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#a21acfbf49bfe286e4a30291a152526cb">dstSign</a></td></tr>
<tr class="separator:a21acfbf49bfe286e4a30291a152526cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f270d174a7dcfaab3ca7d5d27bc21ae"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#a4f270d174a7dcfaab3ca7d5d27bc21ae">dstConjugate</a></td></tr>
<tr class="separator:a4f270d174a7dcfaab3ca7d5d27bc21ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf078a257aaf15fe0395d17e53593878"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#abf078a257aaf15fe0395d17e53593878">dstScale</a></td></tr>
<tr class="separator:abf078a257aaf15fe0395d17e53593878"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9490c5ae626be296028856fee4c3363f"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_h_w_a___dest_config__t.html#a9490c5ae626be296028856fee4c3363f">dstSkipInit</a></td></tr>
<tr class="separator:a9490c5ae626be296028856fee4c3363f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>HWA Paramset Config for Output Formatter/Destination block. </p>
<p>HWA paramset config parameters for the Output Formatter/Destination block inside HWA_ParamConfig which is used with the HWA_ConfigParamSet() call. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a7105752a58f26f72934852e99f7e19f5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_DestConfig_t::dstAcnt</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>12 bit value: specifies the number of samples (minus 1) from the destination memory to process for every iteration. Note: The unit is samples and not bytes. Sets the DSTACNT bits of PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="ae570b0676b73b1d32fb037615b0b9605"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_DestConfig_t::dstAddr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>16 bit value: specifies the starting address of the output samples in the accelerator memory. Value of 0x0000 points to the first byte of accelerator memory and 16-bit value covers the entire address space of the four memories (4x16KB=64 KB) Sets the DSTADDR bits of PARAM1_1 </p>

</div>
</div>
<a class="anchor" id="a658e4e61b988c9ce821d1e6b1da31670"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t HWA_DestConfig_t::dstAIdx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>16 bit value: specifies the number of bytes separating successive samples in the destination memory Sets the DSTAINDX bits of PARAM1_3 </p>

</div>
</div>
<a class="anchor" id="ac286596c10ccf5712c785734c54b68dd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t HWA_DestConfig_t::dstBIdx</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>16 bit value: Specifies the number of bytes separating the start address of samples for successive iterations in the destination memory (in bytes, signed value) Sets the DSTBIDX bits in PARAM1_4 </p>

</div>
</div>
<a class="anchor" id="a4f270d174a7dcfaab3ca7d5d27bc21ae"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_DestConfig_t::dstConjugate</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___f_e_a_t_u_r_e___b_i_t.html">HWA_FEATURE_BIT</a> macros for correct values. Enable/Disable Conjugation of the output samples. 0: No conjugation 1: Enable conjugation This register only makes sense for dstRealComplex=0. It is useful in conjunction with DSTCONJ to derive an IFFT mode (by conjugating at both output and output) Sets the DSTCONJ bit of PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="a1d17910d6541c88cb584c22941a9a037"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_DestConfig_t::dstRealComplex</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___s_a_m_p_l_e_s___f_o_r_m_a_t.html">HWA_SAMPLES_FORMAT</a> macros for correct values. Real or Complex data in the destination memory. Sets the DSTREAL bits in PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="abf078a257aaf15fe0395d17e53593878"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_DestConfig_t::dstScale</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4 bit value: Specifies a programmable scaling, via right bit-shift, from 0 bits to 8 bits, for the output samples. Sets the DSTSCAL bits of PARAM1_5 (0-7) </p>

</div>
</div>
<a class="anchor" id="a21acfbf49bfe286e4a30291a152526cb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_DestConfig_t::dstSign</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___s_a_m_p_l_e_s___s_i_g_n.html">HWA_SAMPLES_SIGN</a> macros for correct values. Signed or Unsigned data in the destination memory. This setting is only relevant for dstWidth=0, because that is when sign-extension may be required to convert to internal 24-bit width. Sets the DSTSIGNED bits in PARAM1_2 </p>

</div>
</div>
<a class="anchor" id="a9490c5ae626be296028856fee4c3363f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t HWA_DestConfig_t::dstSkipInit</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>10 bit value: Number of samples to skip in the beginning (for each iteration) before writing samples to the destination memory. Sets the DST_SKIP_INIT bits of PARAM1_5 </p>

</div>
</div>
<a class="anchor" id="aa24c6458af07c443ca0475afcdbb4823"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t HWA_DestConfig_t::dstWidth</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>1 bit value: See <a class="el" href="group___h_w_a___s_a_m_p_l_e_s___w_i_d_t_h.html">HWA_SAMPLES_WIDTH</a> macros for correct values. 16-bit or 32-bit alignment of data in destination memory. Sets the DST16b32b bits in PARAM1_2 </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/hwa/<a class="el" href="hwa_8h.html">hwa.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
